Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class IntrospectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.expression.ExpressionException
                      com.bea.p13n.expression.IntrospectionException

All Implemented Interfaces
  Serializable

    public class IntrospectionException

extends ExpressionException

Exception class for Java reflection introspection errors.

See Also
  Serialized Form

Constructor Summary
`IntrospectionException(Class clazz, String methodName, Object[] args, Class[] signature)` Creates an `IntrospectionException` for reporting an error during an instance method introspection.
`IntrospectionException(String packageName, String className, String methodName, Object[] args, Class[] signature, Throwable cause)` Creates an `IntrospectionException` for reporting an error during an static method introspection.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntrospectionException

    public IntrospectionException(Class clazz,
                                  String methodName,
                                  Object[] args,
                                  Class[] signature)

  Creates an `IntrospectionException` for reporting an error during an instance method introspection.

  Parameters
    `clazz` - The class.
    `methodName` - The method name that was attempted to call.
    `args` - An array of arguments to the method.
    `signature` - The method signature.

### IntrospectionException

    public IntrospectionException(String packageName,
                                  String className,
                                  String methodName,
                                  Object[] args,
                                  Class[] signature,
                                  Throwable cause)

  Creates an `IntrospectionException` for reporting an error during an static method introspection.

  Parameters
    `packageName` - The package name where the class resides.
    `className` - The class name.
    `methodName` - The static method name that was attempted to call.
    `args` - An array of arguments to the method.
    `signature` - The method signature.
    `cause` - The nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.